Subject: Re: [PATCH 3/6] Consolidate of_find_property

From: David Miller <[email-masked]>
Date: Tue, 24 Apr 2007 21:24:28 -0700 (PDT)

From: Benjamin Herrenschmidt <[email-masked]>
Date: Wed, 25 Apr 2007 10:00:35 +1000

> On Tue, 2007-04-24 at 22:39 +1000, Stephen Rothwell wrote:
> > The only change here is that a readlock is taken while the property list
> > is being traversed on Sparc where it was not taken previously.
> > 
> > Also, Sparc uses strcasecmp to compare property names while PowerPC
> > uses strcmp.
> 
> Ok, so that's the opposite as the previous one... property names are
> supposed to be case sensitive though, no ? Dave, how do you think we
> should converge here ? I don't think we would take much risk on ppc by
> using strncasecmp but it shouldn't be necessary...

The difference is that some properties are all-caps on powerpc
when they are lowecase on sparc, the Radeon properties are a
good example.

I think if we use strncasecmp across the board, nothing will
break.